Skip to main content
PATCH
/
v1
/
decision-roles
/
{id}
Update decision role
curl --request PATCH \
  --url https://staging.api.us.aptlydone.com/settings/v1/decision-roles/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "roleName": "Approver",
  "isDeleted": false,
  "status": "ACTIVE"
}
'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:20.711Z",
  "message": "Success",
  "data": {
    "id": "ad4c5d66-91e2-4370-bfbb-99a7d78cc5f8",
    "tenantId": "dc7ef50f-4912-46b9-9914-eb86a0e1f81d",
    "roleName": "Approver",
    "isDeleted": false,
    "status": "ACTIVE"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
roleName
string

Role name

Maximum string length: 50
Example:

"Approver"

isDeleted
boolean

Is deleted flag

Example:

false

status
enum<string>

Status

Available options:
ACTIVE,
INACTIVE

Response

200 - application/json

Decision role updated successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:33:20.711Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data